Subject: Re: [CCAMP] I-D Action: draft-ietf-ccamp-wson-yang-18.txt

From: tom petch <[email-masked]>
Date: Fri, 1 Mar 2019 12:47:20 +0000

Looking at -19:

- you still have 'wavelenghth' which has a 'h' too many, twice

-you still have
     The YANG model described in this document is a WSON
     technology-specific YANG model augmenting the generic TE
     topology module [TE-TOPO] based on the information model
     developed in [RFC7446] and the two encoding documents
     [RFC7581] and [RFC7579] that developed protocol independent
     encodings based on [RFC7446].
in the YANG module which MUST be plain text so HTML/XML references are
not allowed

And the YANG has
    reference "ITU-T G.698.2 (11/2009) Section 5.3";
-  always good to see reference clauses - but it means
 "ITU-T G.698.2 (11/2009)"
needs to appear in the I-D references and needs to be referenced from
the body of the I-D

    reference "TBD";
well,  is TBD!

Tom Petch

----- Original Message -----
From: "t.petch" <[email-masked]>
To: "Leeyoung" <[email-masked]>; <[email-masked]>
Sent: Friday, December 07, 2018 12:45 PM

> ----- Original Message -----
> From: "Leeyoung" <[email-masked]>
> To: <[email-masked]>
> Sent: Wednesday, December 05, 2018 5:23 PM
> >
> > This revision, we hope, incorporated all comments from Tom and
others.
> The co-authors believe that it is ready for WG LC.
>
> Almost but I fear that there is a step backwards as well.
>
> You still have two
> Wavelenghth
> which should probably be
> Wavelength
>
> More problematically, you have introduced
>
>   description
>     " ...
>      The YANG model described in this document is a WSON
>      technology-specific YANG model augmenting the generic TE
>      topology module [TE-TOPO] based on the information model
>      developed in [RFC7446] and the two encoding documents
>      [RFC7581] and [RFC7579] that developed protocol independent
>      encodings based on [RFC7446].
>
> Those [RFC..] look like XML/HTML style references which will not do.
A
> YANG module must be plain text so
>   RFC6163
> is fine in a YANG module but
>   [RFC6163]
> is not, which is why, in my last comment, I suggested putting a
> reference to RFC6163 in section 1.4 lest you get an unused reference
for
> the I-D; which you have done, so that is fine, but all those [RFC...]
in
> the YANG module must go.  AFAICS it is only the description clause
that
> has them.
>
> For TE-TOPO, you need to use the same text as you have correctly done
on
> the YANG import statement i.e.
>
>  "RFC YYYY: YANG Data Model for Traffic Engineering (TE) Topologies";
>
> /* Note: The RFC Editor will replace YYYY with the number assigned to
> the RFC once draft-ietf-teas-yang-te-topo becomes an RFC.*/
>
> Whether this is fixed before or after Last Call is one for the WG
> Chairs.
>
> I probably said before that the nature of the module, which you are
> forced to use because of the way that tet: is structured, makes the
> module very hard to read and that I have not done; I hope to but may
> never find the time.
>
> Tom Petch
>
> > Thanks & best regards,
> > Young
> >
> > -----Original Message-----
> > From: CCAMP [mailto:[email-masked]] On Behalf Of
> [email-masked]
> > Sent: Wednesday, December 5, 2018 11:18 AM
> > To: [email-masked]
> > Cc: [email-masked]
> > Subject: [CCAMP] I-D Action: draft-ietf-ccamp-wson-yang-18.txt
> >
> >
> > A New Internet-Draft is available from the on-line Internet-Drafts
> directories.
> > This draft is a work item of the Common Control and Measurement
Plane
> WG of the IETF.
> >
> >         Title           : A YANG Data Model for WSON (Wavelength
> Switched Optical Networks)
> >         Authors         : Young Lee
> >                           Dhruv Dhody
> >                           Aihua Guo
> >                           Victor Lopez
> >                           Daniel King
> > Filename        : draft-ietf-ccamp-wson-yang-18.txt
> > Pages           : 77
> > Date            : 2018-12-05
> >
> > Abstract:
> >    This document provides a YANG data model for the routing and
> >    wavelength assignment (RWA) TE topology in wavelength switched
> >    optical networks (WSONs). The YANG data model defined in this
> >    document conforms to the Network Management Datastore
Architecture
> >    defined in RFC 8342.
> >
> >
> > The IETF datatracker status page for this draft is:
> > https://datatracker.ietf.org/doc/draft-ietf-ccamp-wson-yang/
> >
> > There are also htmlized versions available at:
> > https://tools.ietf.org/html/draft-ietf-ccamp-wson-yang-18
> > https://datatracker.ietf.org/doc/html/draft-ietf-ccamp-wson-yang-18
> >
> > A diff from the previous version is available at:
> > https://www.ietf.org/rfcdiff?url2=draft-ietf-ccamp-wson-yang-18
> >
> >
> > Please note that it may take a couple of minutes from the time of
> submission until the htmlized version and diff are available at
> tools.ietf.org.
> >
> > Internet-Drafts are also available by anonymous FTP at:
> > ftp://ftp.ietf.org/internet-drafts/
> >
> > _______________________________________________
> > CCAMP mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/ccamp
> >
> > _______________________________________________
> > CCAMP mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/ccamp
>

---

From: Leeyoung <[email-masked]>
Date: Mon, 25 Mar 2019 05:29:32 +0000

Hi Tom,

My apologies for my late response. I agree with all your comments. Version 20 has been uploaded. https://www.ietf.org/rfcdiff?url2=draft-ietf-ccamp-wson-yang-20 

Please see inline for my comment. If there is still something that I have missed, please let me know. 

Thanks.
Young

-----Original Message-----
From: tom petch [mailto:[email-masked]] 
Sent: Friday, March 1, 2019 6:47 AM
To: Leeyoung <[email-masked]>; [email-masked]
Subject: Re: [CCAMP] I-D Action: draft-ietf-ccamp-wson-yang-18.txt

Looking at -19:

YL>> Fixed

-you still have
in the YANG module which MUST be plain text so HTML/XML references are not allowed

YL>> rid of all brackets; instead of [TE-TOPO], refer to the YANG module: ietf-te-topology. 

And the YANG has
    reference "ITU-T G.698.2 (11/2009) Section 5.3";
-  always good to see reference clauses - but it means  "ITU-T G.698.2 (11/2009)"
needs to appear in the I-D references and needs to be referenced from the body of the I-D

YL>> Corrected as you suggested. Introduced G.698.2 as the reference in the introduction of the I-D. 

    reference "TBD";
well,  is TBD!

YL>> Replaced TBD with RFC 7581. 

Tom Petch

----- Original Message -----
From: "t.petch" <[email-masked]>
To: "Leeyoung" <[email-masked]>; <[email-masked]>
Sent: Friday, December 07, 2018 12:45 PM

others.
A
for
in
that
on
Plane
Architecture